[Xapian-discuss] Build errors in xapian 0.8.4

Olly Betts olly at survex.com
Thu Dec 9 11:02:50 GMT 2004

On Thu, Dec 09, 2004 at 11:33:43AM +0100, Arjen van der Meijden wrote:
> When trying to build xapian 0.8.4, I saw this build error.
> Appareantly btree.cc depended on xapian.h to include iostream?

It's quite possible.  I'll check and fix that.

> afaik there should be a -lzlib or -lz orso in the g++ command?

Ah yes.  The patch adds it to the top level Makefile.am, but you'll need
to configure with --enable-maintainer-mode so that automake gets run.

> The machine does run zlib 1.1.4, but that's not the problem here I suppose?

It might fail to run correctly though - looking at the zlib changelog,
you probably need 1.2.0 to be able to set a dictionary with raw deflate
(which is what the patch uses).


More information about the Xapian-discuss mailing list